/**
 * Firebase Service - Production license validation and analytics
 */
export interface License {
    id: string;
    email: string;
    tier: 'early_adopter' | 'standard' | 'team';
    price: number;
    createdAt: Date;
    expiresAt: Date;
    active: boolean;
    features: {
        persistentMemory: boolean;
        executionEngine: boolean;
        cloudSync: boolean;
        multiProject: boolean;
        prioritySupport: boolean;
    };
    maxProjects: number;
}
export interface EarlyAdopterStats {
    sold: number;
    remaining: number;
    limit: number;
    currentPrice: number;
    nextPrice: number;
}
declare class RealFirebaseService {
    private apiBase;
    constructor();
    authenticate(email: string, licenseKey: string): Promise<License>;
    checkLicenseAvailability(): Promise<EarlyAdopterStats>;
    reportUsage(action: string, metadata?: any): Promise<void>;
    private fetchWithTimeout;
    private parseFirestoreDate;
    private getCurrentLicenseKey;
    private getCliVersion;
    private isDevelopment;
    private mockAuthenticate;
    private mockPricing;
}
export declare const realFirebaseService: RealFirebaseService;
export {};
//# sourceMappingURL=FirebaseService-Real.d.ts.map