/**
 * License Management Service
 * Handles the $99/month early adopter licensing model
 */
import { License } from './FirebaseService';
export declare class LicenseService {
    private licensePath;
    constructor();
    purchaseLicense(email: string, paymentMethod?: 'stripe' | 'paypal'): Promise<string>;
    activateLicense(email: string, licenseKey: string): Promise<void>;
    getCurrentLicense(): Promise<License | null>;
    validateFeatureAccess(feature: keyof License['features']): Promise<void>;
    showLicenseStatus(): Promise<void>;
    private simulatePurchase;
    private storeLicense;
    private removeLicense;
    private encryptLicense;
    private decryptLicense;
}
export declare const licenseService: LicenseService;
//# sourceMappingURL=LicenseService.d.ts.map