/**
 * Licensing and Subscription Management
 * (For future cloud features)
 */
export interface Subscription {
    tier: 'free' | 'pro' | 'enterprise';
    apiKey?: string;
    expiresAt?: Date;
    features: {
        localMemory: boolean;
        cloudSync: boolean;
        teamSharing: boolean;
        executionEngine: boolean;
        advancedAnalytics: boolean;
        apiAccess: boolean;
    };
}
export declare class LicenseManager {
    private configPath;
    constructor();
    getCurrentSubscription(): Promise<Subscription>;
    validateApiKey(apiKey: string): Promise<boolean>;
    upgradeToCloud(apiKey: string): Promise<boolean>;
    requireFeature(feature: keyof Subscription['features']): Promise<void>;
    private getUpgradeMessage;
    showUpgradeInfo(): Promise<void>;
}
export declare const licenseManager: LicenseManager;
//# sourceMappingURL=licensing.d.ts.map